spring:
  application:
    name: manage-gateway
  cloud:
    gateway:
      routes:
        - id: user-service
          uri: http://localhost:8084
          predicates:
            - Path=/api/users/**
        - id: auth-service
          uri: http://localhost:8083
          predicates:
            - Path=/api/auth/**

user:
  service:
    url: http://localhost:8084

permission:
  cache:
    expiry:
      minutes: 5

logging:
  level:
    cn.novalon.manage.gateway: DEBUG
    org.springframework.cloud.gateway: DEBUG
    org.springframework.web.reactive: DEBUG

server:
  port: 8080